Package io.vertx.rxjava3.ext.web.openapi.router

## Class RequestExtractor

- java.lang.Object
- - io.vertx.rxjava3.ext.web.openapi.router.RequestExtractor

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class RequestExtractor
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestExtractor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestExtractor​(RequestExtractor delegate)` |
    `RequestExtractor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Single<ValidatableRequest>` | `extractValidatableRequest​(RoutingContext routingContext, Operation operation)` | Extracts and transforms the parameters and the body of an incoming request into a that can be validated by the `RequestValidator`.
    `RequestExtractor` | `getDelegate()` |
    `int` | `hashCode()` |
    `static RequestExtractor` | `newInstance​(RequestExtractor arg)` |
    `Single<ValidatableRequest>` | `rxExtractValidatableRequest​(RoutingContext routingContext, Operation operation)` | Extracts and transforms the parameters and the body of an incoming request into a that can be validated by the `RequestValidator`.
    `String` | `toString()` |
    `static RequestExtractor` | `withBodyHandler()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestExtractor> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestExtractor

          public RequestExtractor​(RequestExtractor delegate)

    - #### RequestExtractor

          public RequestExtractor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestExtractor getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### extractValidatableRequest

          public Single<ValidatableRequest> extractValidatableRequest​(RoutingContext routingContext,
                                                                      Operation operation)

      Extracts and transforms the parameters and the body of an incoming request into a that can be validated by the `RequestValidator`.
      Parameters:
        `routingContext` - The routing context of the incoming request.
        `operation` - The operation of the related request.
      Returns:
        A holding the .

    - #### rxExtractValidatableRequest

          public Single<ValidatableRequest> rxExtractValidatableRequest​(RoutingContext routingContext,
                                                                        Operation operation)

      Extracts and transforms the parameters and the body of an incoming request into a that can be validated by the `RequestValidator`.
      Parameters:
        `routingContext` - The routing context of the incoming request.
        `operation` - The operation of the related request.
      Returns:
        A holding the .

    - #### withBodyHandler

          public static RequestExtractor withBodyHandler()

      Returns:
        a RequestExtractor that works in case that a BodyHandler was applied to the related route.

    - #### newInstance

          public static RequestExtractor newInstance​(RequestExtractor arg)